Bug 1787124 - [abrt] ibus-mozc: __fdelt_chk(): ibus-engine-mozc killed by SIGABRT [NEEDINFO]
Summary: [abrt] ibus-mozc: __fdelt_chk(): ibus-engine-mozc killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozc
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d88e523ce263f66e445a1a6f6cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-31 10:19 UTC by Ryutaroh Matsumoto
Modified: 2022-05-16 05:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-16 05:42:35 UTC
Type: ---
pnemade: needinfo? (ryutaroh2006)


Attachments (Terms of Use)
File: backtrace (50.96 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: core_backtrace (19.04 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: cpuinfo (2.68 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: dso_list (2.70 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: environ (468 bytes, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: limits (1.29 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: maps (19.56 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: mountinfo (2.37 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: open_fds (53.31 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-12-31 10:19 UTC, Ryutaroh Matsumoto
no flags Details

Description Ryutaroh Matsumoto 2019-12-31 10:19:12 UTC
Description of problem:
I don't know how or why ibuz-engine-mozc was killed by SIGABRT...

Version-Release number of selected component:
ibus-mozc-2.23.2815.102-8.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dcom.redhat.imsettings.slice/dbus-:1.2-com.redhat.imsettings@0.service
cmdline:        /usr/libexec/ibus-engine-mozc --ibus
crash_function: __fdelt_chk
executable:     /usr/libexec/ibus-engine-mozc
journald_cursor: s=4479f645f2da4f17afc9f9415d05055f;i=b7c0;b=a6e351a2ff374b38832aa98ebe9457dd;m=7e0bcb9b;t=59afce7bb1367;x=508717657a4cb7e9
kernel:         5.3.16-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #6 __fdelt_chk at fdelt_chk.c:25
 #7 mozc::(anonymous namespace)::IsWriteTimeout at ../../ipc/unix_ipc.cc:108
 #8 mozc::(anonymous namespace)::SendMessage at ../../ipc/unix_ipc.cc:157
 #9 mozc::IPCClient::Call at ../../ipc/unix_ipc.cc:328

Comment 1 Ryutaroh Matsumoto 2019-12-31 10:19:17 UTC
Created attachment 1648760 [details]
File: backtrace

Comment 2 Ryutaroh Matsumoto 2019-12-31 10:19:19 UTC
Created attachment 1648761 [details]
File: core_backtrace

Comment 3 Ryutaroh Matsumoto 2019-12-31 10:19:21 UTC
Created attachment 1648762 [details]
File: cpuinfo

Comment 4 Ryutaroh Matsumoto 2019-12-31 10:19:23 UTC
Created attachment 1648763 [details]
File: dso_list

Comment 5 Ryutaroh Matsumoto 2019-12-31 10:19:24 UTC
Created attachment 1648764 [details]
File: environ

Comment 6 Ryutaroh Matsumoto 2019-12-31 10:19:26 UTC
Created attachment 1648765 [details]
File: limits

Comment 7 Ryutaroh Matsumoto 2019-12-31 10:19:28 UTC
Created attachment 1648766 [details]
File: maps

Comment 8 Ryutaroh Matsumoto 2019-12-31 10:19:29 UTC
Created attachment 1648767 [details]
File: mountinfo

Comment 9 Ryutaroh Matsumoto 2019-12-31 10:19:32 UTC
Created attachment 1648768 [details]
File: open_fds

Comment 10 Ryutaroh Matsumoto 2019-12-31 10:19:33 UTC
Created attachment 1648769 [details]
File: proc_pid_status

Comment 11 Parag Nemade 2020-09-22 09:29:20 UTC
Please provide any steps to reproduce this bug.

Comment 12 Ben Cotton 2021-02-09 15:13:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 13 Ben Cotton 2022-05-12 16:36:45 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 14 Akira TAGOH 2022-05-16 05:42:35 UTC
No exact steps provided and this is old bugs. it might be fixed/improved in the latest version. please try the latest and reopen if it still persists. thanks.


Note You need to log in before you can comment on or make changes to this bug.